Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.service
Class MembershipModuleService

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.MembershipModuleService

All Implemented Interfaces:
  MembershipModule

Direct Known Subclasses:
  HibernateMembershipModuleImpl, LDAPMembershipModule

    public abstract class MembershipModuleService

extends IdentityModuleService
implements MembershipModule

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`protected` | `MembershipModuleService()`

Method Summary
`protected void` | `fireMembershipChangedEvent(Role role, java.util.Set users)`
`protected void` | `fireMembershipChangedEvent(java.util.Set userIds, java.util.Set roleIds)`
`protected void` | `fireMembershipChangedEvent(User user, java.util.Set roles)`
`ProfileInfo` | `getProfileInfo()`
`void` | `setProfileInfo(ProfileInfo profileInfo)`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.identity.MembershipModule
`assignRoles, assignUsers, findRoleMembers, getRoles, getUsers`

Constructor Detail

### MembershipModuleService

    protected MembershipModuleService()

Method Detail

### getProfileInfo

    public ProfileInfo getProfileInfo()

### setProfileInfo

    public void setProfileInfo(ProfileInfo profileInfo)

### fireMembershipChangedEvent

    protected void fireMembershipChangedEvent(java.util.Set userIds,
                                              java.util.Set roleIds)
                                       throws IdentityException

  Throws:
    `IdentityException`

### fireMembershipChangedEvent

    protected void fireMembershipChangedEvent(User user,
                                              java.util.Set roles)
                                       throws IdentityException

  Throws:
    `IdentityException`

### fireMembershipChangedEvent

    protected void fireMembershipChangedEvent(Role role,
                                              java.util.Set users)
                                       throws IdentityException

  Throws:
    `IdentityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD